# This file is a template, and might need editing before it works on your project.
---
# All available Hugo versions are listed here:
# https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo/hugo_extended:latest@sha256:ff07c15f0ff5876c7a737d07b906d48802e7fcd1bba02f648fae63fda57ddb56

variables:
  GIT_SUBMODULE_STRATEGY: recursive

prepare:
  stage: test
  script:
    - mv static/admin/config-${HUGO_ENVIRONMENT}.tmpl static/admin/config.yml
    - cat static/admin/common.tmpl >> static/admin/config.yml
    - cp config/_default/config-${HUGO_LANG}.yaml config/_default/config.yaml 
  artifacts:
    paths:
      - static/admin/config.yml
      - config/_default/config.yaml
  only:
    - main
    - /^feat_.*$/
    - /^fix_.*$/
    - /^renovate.*$/

test:
  script:
    - hugo version
    - hugo --logLevel debug --environment $HUGO_ENVIRONMENT 
  except:
    - main
  needs: 
    - prepare
  interruptible: true
  only:
    - main
    - /^feat_.*$/
    - /^fix_.*$/
    - /^renovate.*$/

pages:
  script:
    - hugo version
    - hugo --logLevel debug --environment $HUGO_ENVIRONMENT 
  artifacts:
    paths:
      - public
  needs: 
    - prepare
  only:
    - main
  interruptible: true
